
function ciy_chart_bank1_c1(opdata) {
    this.func = ['bank_c1'];
    this.lastdata = {};
    this.resize = function () {
    }
    this.setdata = function (funame, data) {
        if (!data)
            return;
        this.lastdata[funame] = data;
        $5('[data-num="n1"]', opdata.container).text(data.n1);
        $5('[data-num="n2"]', opdata.container).text(data.n2);
        $5('[data-num="n3"]', opdata.container).text(data.n3);
        $5('[data-bank]', opdata.container).text(data.name);
    }
    this.distory = function () {
    }


    opdata.container.append(`
    <div style="font-size: 1.5em;margin-top: 0;padding-bottom: 0.2em;background: linear-gradient(to bottom, #d2eeff, #129fe3);text-align:center; background-clip: text;-webkit-background-clip: text; color: transparent;letter-spacing: 0.2em; font-weight: bolder;border-bottom:1px dashed #204b88;" data-bank>　</div>
    <div style="padding:10px 10px 0 10px;" class="c1">
    <table style="width:100%;"><tr>
    <td><div class="num" data-num="n1">--</div><div class="title">贷款金额 <span style="font-size:0.7em;">(万元)</span></div></td>
    <td><div class="num" data-num="n2">--</div><div class="title">待还金额 <span style="font-size:0.7em;">(万元)</span></div></td>
    <td><div class="num" data-num="n3">--</div><div class="title">贷款单位 <span style="font-size:0.7em;">(家)</span></div></td>
    </tr></table>
    </div>
    `);

    var style = document.createElement("style");
    style.innerHTML = `
    .c1 .title{color:#6dcdee;padding-top:0.3em;}
    .c1 .num{font-size:1.8em;font-weight:bolder;padding-right: 0.5em;font-family: eng02;letter-spacing: 4px;}
    .c1 .unit{font-size:0.5em;vertical-align: unset;}
    .c1 td{width:25%;white-space: nowrap;}
    `;
    window.document.head.appendChild(style);

}